import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

//const jsonUrl = 'https://unpkg.com/world-atlas@2.0.2/countries-50m.json';
//const jsonUrl = 'https://cdn.jsdelivr.net/npm/world-atlas@2/countries-50m.json';
const jsonUrl = 'https://cdn.jsdelivr.net/npm/us-atlas@3/states-10m.json';

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data);
  //console.log(mesh);
  //console.log(feature);

   useEffect(() => {
     json(jsonUrl).then(topology => {
       const { states, nation } = topology.objects;
//       console.log(topology);
//       const { countries, land } = topology.objects;
       setData({
         land: feature(topology, nation),
         interiors: mesh(topology, states, (a, b) => a !== b)
       });
     });
   }, []);

  return data;
};
